Table of Contents

## Name

mkcfm - create summaries of font metric files in CID font directories

## Synopsis

mkcfm [CID-font-directory-name]

## Description

There is usually only one CID font directory on the X font path. It is usually called /usr/X11R6/lib/X11/fonts/CID. If you do not specify an argument, mkcfm will try to go through the subdirectories of that directory, and create one summary of font metric files for each CIDFont (character descriptions) file and each CMap (Character Maps) file it finds. The summaries of font metric files are put in the existing CFM subdirectory. The CFM subdirectories are created when CID-keyed fonts are installed.

If you specify a CID font directory as an argument, mkcfm will try to go through the subdirectories of that directory, and create one summary of font metric files for each CIDFont file and each CMap file it finds. mkcfm will calculate the summaries of the font metric files stored in AFM subdirectories of the CID font directory.

Those summaries are needed by the rasterizer of CID-keyed fonts to speed up the response to X font calls. If those files do not exist, CID rasterizer will have to go through usually large font metric files, and calculate the summaries itself each time the font is called. You will notice a substantial wait on a call to a large CID-keyed font.

## Files

.afm files
  Each CID-keyed font file is supposed to have a font metric file (.afm file). mkcfm creates summary files (.cfm files) of those font metric files. mkcfm should be run whenever a change is made to the files stored in the subdirectories of the CID font directory. For example, it should be run when new CID fonts are installed.
.cfm files
  Summaries of font metric (.afm) files created by mkcfm.

## See Also

The rasterizer for CID-keyed fonts in the directory xc/lib/font/Type1.

Table of Contents

- Name
- Synopsis
- Description
- Files
- See Also